#!/usr/bin/gawk -f
#
# this script converts genotypes from QmSim into format readable by Blupf90 and GS3
#
BEGIN{
        nind=0
        #nongenotyped=25000 # number of non-genotyped
}
# skip 4 lines
        NR>(4+nongenotyped){            
                nsnp=NF-3
                genotype=""
                for (i=1; i<=nsnp; i++){
                        out=$(i+3)
                        # QmSim -> UGA
                        # 0 -> AA -> 0
                        # 2 -> aa -> 2
                        # 3 -> Aa -> 1
                        # 4 -> aA -> 1
                        # (missing does not exist) -> 5
                        if(out>2) {out=1} 
                        genotype=genotype out
                }
                if (NR % 10 ==0){ printf("%s\n",NR) > "/dev/stderr" }
                printf("%10s%1s%" nsnp "s\n",$1," ",genotype)
                nind++
        }
END{
        printf("%s%10s%10s\n","nsnp, nanim",nsnp,NR-4) > "/dev/stderr"
}   
  
