#!/usr/bin/gawk -f
#
# This script computes allele frequency from QmSim output 
# ("population name_freq_mrk_replicate number".txt)
# AA=0, aa=2, Aa=3, aA=4, missing=5)  
#
BEGIN{ } 
# skip 4 lines
{
	if( NR>4) {            
	   for (i=4; i<=NF; i++){
				  if($i==0) cnt[i]=cnt[i]+2
				  if($i==3) cnt[i]++
				  if($i==4) cnt[i]++
				}
	 }
}
           END { for(i=4; i<=NF; i++){
                                print(i-3,cnt[i]/(2*(NR-4))) 
                                        }
               }
